#
# spec file for package kgoldrunner
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kgoldrunner
BuildRequires:  libkdegames4-devel
BuildRequires:  xz
Summary:        Action & Puzzle Solving Game
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://www.kde.org
Version:        16.12.1
Release:        0
Source0:        kgoldrunner-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
KGoldrunner is a game of action and puzzle solving


%prep
%setup -q -n kgoldrunner-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %suse_update_desktop_file -r KGoldrunner     Game ArcadeGame
  %kde_post_install

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/kgoldrunner
%{_kde4_applicationsdir}/KGoldrunner.desktop
%{_kde4_htmldir}/en/kgoldrunner/
%{_kde4_iconsdir}/hicolor/*/apps/kgoldrunner.*
%{_kde4_appsdir}/kgoldrunner
%{_kde4_configdir}/kgoldrunner.knsrc

%changelog
